Get Tickets
/unified/ticketing/tickets/{id}
Path Parameters
The ID of the resource.
23423523Query Parameters
Refer Specifying query parameters in Truto APIs
The unique identifier for the workspace
1 supported1 required
The unique identifier for the collection
1 supported1 required
Workspace associated with the ticket
16 supported3 required2 notes
Workspace associated with the ticket.
The unique identifier for a workspace
The unique identifier for the workspace
The name of the workspace
The unique identifier for a ticket
27 supported1 required
The unique identifier for a collection
The name of the collection
The type of the collection
1 supported
Type of the ticket
conversationissuetask
23 supported2 required
conversationissueissuetaskThe unique identifier for a ticket type
The name of the ticket type
1 supported
The unique identifier for a organization.
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
Defaults to unified.
unifiedunifiedrawnormalizedstream
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barResponse Body
The unique identifier for a ticket
55 supported
Account associated with the ticket
7 supported
The unique identifier for a contact
Additional Contacts associated with the ticket
3 supported
The emails of the contact
2 properties
The email of the contact
The type of the email
The first name of the contact
The unique identifier for a contact
The last name of the contact
The name of the contact
The contact's phone number
2 properties
The contact's phone number
The type of phone number
Users assigned to the ticket
51 supported
The user's email addresses
2 properties
The user's email address
The type of email address
The first name of the user
The unique identifier for a user
The last name of the user
The name of the user
The user's phone number
2 properties
The user's phone number
The type of phone number
Attachments associated with the ticket
12 supported
The name of the attachment
The url of the attachment
The unique identifier for an attachment
Collections associated with the ticket
27 supported
The unique identifier for a collection
The name of the collection
The type of the collection
Time at which the ticket was completed
28 supported
Contact associated with the ticket
31 supported
The emails of the contact
2 properties
The email of the contact
The type of the email
The first name of the contact
The unique identifier for a contact
The last name of the contact
The name of the contact
The contact's phone number
2 properties
The contact's phone number
The type of phone number
Conversations associated with the ticket
1 supported
The unique identifier for a conversation
The name of the conversation
The type of the conversation
Time at which the ticket was created
53 supported
User or contact who created the ticket
37 supported
The unique identifier for a user
The name of the user
The type of the user
usercontact
All the custom fields present on the ticket
25 supported
Description of the ticket
38 supported
Due date of the ticket
25 supported
The unique identifier for the specific version of the resource.
2 supported
Whether the ticket is unread
1 supported
Languages of the ticket
3 supported
The name of the ticket
53 supported
An optional ticket number maintained by the system.
19 supported
Parent ticket associated with the ticket
17 supported
The unique identifier for a ticket
The name of the ticket
Priority of the ticket
32 supported
The unique identifier for a priority
The name of the priority
Raw data returned from the remote API call.
The source of the ticket
18 supported
The unique identifier for a source
The name of the source
The status of the ticket
49 supported
The unique identifier for a status
The name of the status
activeclosedopenpendingspamresolvedarchiveddeletedcompleted
Tags associated with the ticket
32 supported
The unique identifier for a tag
The name of the tag
Team associated with the ticket
17 supported
The unique identifier for a team
The name of the team
Type of the ticket
23 supported
The unique identifier for a ticket type
The name of the ticket type
URL of the ticket
32 supported
Time at which the ticket was last updated
45 supported
Workspace associated with the ticket
16 supported
The unique identifier for a workspace
The name of the workspace
curl -X GET 'https://api.truto.one/unified/ticketing/tickets/{id}?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json'const integratedAccountId = '<integrated_account_id>';
const response = await fetch(`https://api.truto.one/unified/ticketing/tickets/{id}?integrated_account_id=${integratedAccountId}`, {
method: 'GET',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/ticketing/tickets/{id}"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.get(
'ticketing',
'tickets',
'<resource_id>',
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
result = await truto_api.unified_api.get(
"ticketing",
"tickets",
"<resource_id>",
{"integrated_account_id": "<integrated_account_id>"}
)
print(result)
asyncio.run(main())